<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h1>HTML tables and forms</h1>
	</header>

	<main>
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with html code.)</em></p>

			<table border="1">
				<thead>
					<tr>
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<tbody>
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>Less than</td>
					</tr>

					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>

					<tr>
						<td>&#8377;</td>
						<td>#8377</td>
						<td>rupee sign</td>
					</tr>

					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>

					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>

					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>

					<tr>
						<!-- &ntilde; works too -->
						<td>n&#771;</td>
						<td>#771</td>
						<td>Lower Tilde</td>
					</tr>

					<tr>
						<!-- &Ntilde; works too -->
						<td>N&#771;</td>
						<td>#771</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>

				<tfoot>
					<th colspan="3">List of HTML Entities</th>
				</tfoot>
			</table>
		</section>
		
		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form</em></p>

			<form action="https://google.com">
				<label for = "full_name">Full name:</label><br>
				<input type="text" name="full_name" id="full_name" required><br>

				<label for="birthdate">Birth date:</label><br>
				<input type="date" name="birthdate" id="birthdate" required><br>

				<label for="Age">Age:</label><br>
				<input type="number" name="age" id="age"><br>

				<label for="gender">Gender:</label><br>
				<select name = "gender" id="gender">
					<option value="male">Male</option>
					<option value="female">Female</option>
				</select><br>

				<label for="notes">Notes:</label><br>
				<textarea name="notes" id="notes" rows="5"></textarea><br>

				<label>New user:</label><br>
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label><br>
				<input type="radio" name="new_user" id="user-type2">
				<label for="user-type2">No</label><br>

				<label>Role:</label><br>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label><br>
				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label><br>
				<input type="checkbox" name="role3" id="role3" value="Manager">
				<label for="role3">Manager</label><br>

				<button type="submit">Submit</button><br>
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>
</body>
</html>
	
	